// ResizingDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "ListBoxEx.h"

// CResizingDlg dialog
class CResizingDlg : public CDialog
{
// Construction
public:
        CResizingDlg(CWnd* pParent = NULL);     // standard constructor

// Dialog Data
        enum { IDD = IDD_RESIZING_DIALOG };

        protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support


// Implementation
protected:
        HICON m_hIcon;

        // Generated message map functions
        virtual BOOL OnInitDialog();
        afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
        afx_msg void OnPaint();
        afx_msg HCURSOR OnQueryDragIcon();
        DECLARE_MESSAGE_MAP()

protected:
    virtual void OnOK();
    virtual void OnCancel();
    afx_msg void OnClose();
    afx_msg void OnGetMinMaxInfo(MINMAXINFO* lpMMI);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnEnChangeInput();
    afx_msg void OnBnClickedShowResize();
    afx_msg void OnBnClickedGenerate();
    afx_msg void OnBnClickedTransfer();
    afx_msg void OnBnClickedAdd();
    afx_msg void OnBnClicked10();
    afx_msg void OnBnClickedClear();

    void updateControls();
    CFont WingDings;
    int GenerateRightGap;
    int EditGenerateGap;

    CButton c_Clear;
    CButton c_Add;
    CEdit c_Input;
    CStatic c_Frame;
    CListBoxEx c_Log;
    CButton c_ShowFrame;
    CButton c_Limit;
    CEdit c_Buzz;
    CButton c_Transfer;
    CButton c_Generate;
    CButton c_ControlsFollowResize;
};
