// ResizingDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "ResizingDlg.h"
#include "buzzword.h"
#include "strsafe.h"
#include ".\resizingdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
        CAboutDlg();

// Dialog Data
        enum { IDD = IDD_ABOUTBOX };

        protected:
        virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
        DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
        CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CResizingDlg dialog



CResizingDlg::CResizingDlg(CWnd* pParent /*=NULL*/)
        : CDialog(CResizingDlg::IDD, pParent)
    {
        m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CResizingDlg::DoDataExchange(CDataExchange* pDX)
{
CDialog::DoDataExchange(pDX);
DDX_Control(pDX, IDC_INPUT, c_Input);
DDX_Control(pDX, IDC_ADD, c_Add);
DDX_Control(pDX, IDC_CLEAR, c_Clear);
DDX_Control(pDX, IDC_FRAME, c_Frame);
DDX_Control(pDX, IDC_LIST, c_Log);
DDX_Control(pDX, IDC_SHOW_RESIZE, c_ShowFrame);
DDX_Control(pDX, IDC_USE_LIMIT, c_Limit);
DDX_Control(pDX, IDC_BUZZ, c_Buzz);
DDX_Control(pDX, IDC_TRANSFER, c_Transfer);
DDX_Control(pDX, IDC_GENERATE, c_Generate);
DDX_Control(pDX, IDC_CONTROLS_FOLLOW, c_ControlsFollowResize);
}

/****************************************************************************
*                                 Message Map
****************************************************************************/

BEGIN_MESSAGE_MAP(CResizingDlg, CDialog)
        ON_WM_SYSCOMMAND()
        ON_WM_PAINT()
        ON_WM_QUERYDRAGICON()
    ON_WM_CLOSE()
    ON_WM_GETMINMAXINFO()
    ON_WM_SIZE()
    ON_EN_CHANGE(IDC_INPUT, OnEnChangeInput)
    ON_BN_CLICKED(IDC_SHOW_RESIZE, OnBnClickedShowResize)
    ON_BN_CLICKED(IDC_GENERATE, OnBnClickedGenerate)
    ON_BN_CLICKED(IDC_TRANSFER, OnBnClickedTransfer)
    ON_BN_CLICKED(IDC_ADD, OnBnClickedAdd)
    ON_BN_CLICKED(IDC_10, OnBnClicked10)
    ON_BN_CLICKED(IDC_CLEAR, OnBnClickedClear)
END_MESSAGE_MAP()


// CResizingDlg message handlers

/****************************************************************************
*                         CResizingDlg::OnInitDialog
* Result: BOOL
*       TRUE, always
* Effect: 
*       Initializes
****************************************************************************/

BOOL CResizingDlg::OnInitDialog()
   {
    CDialog::OnInitDialog();

    // Add "About..." menu item to system menu.

    // IDM_ABOUTBOX must be in the system command range.
    ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
    ASSERT(IDM_ABOUTBOX < 0xF000);

    CMenu* pSysMenu = GetSystemMenu(FALSE);
    if (pSysMenu != NULL)
       {
        CString strAboutMenu;
        strAboutMenu.LoadString(IDS_ABOUTBOX);
        if (!strAboutMenu.IsEmpty())
           {
            pSysMenu->AppendMenu(MF_SEPARATOR);
            pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
           }
       }

    // Set the icon for this dialog.  The framework does this automatically
    //  when the application's main window is not a dialog
    SetIcon(m_hIcon, TRUE);                 // Set big icon
    SetIcon(m_hIcon, FALSE);                // Set small icon

    // TODO: Add extra initialization here
    updateControls();

    CFont * f = c_Transfer.GetFont();
    LOGFONT lf;
    f->GetLogFont(&lf);
    StringCchCopy(lf.lfFaceName, sizeof(lf.lfFaceName)/sizeof(TCHAR), _T("Wingdings"));
    lf.lfCharSet = SYMBOL_CHARSET;
    VERIFY(WingDings.CreateFontIndirect(&lf));
    c_Transfer.SetFont(&WingDings);

    // Compute the 'GenerateRightGap' value
    CRect gen;
    c_Generate.GetWindowRect(&gen);
    ScreenToClient(&gen);

    CRect r;
    GetClientRect(&r);
    GenerateRightGap = r.right - gen.right;

    // Compute the 'EditGenerateGap' value
    CRect buzz;
    c_Buzz.GetWindowRect(&buzz);
    ScreenToClient(&buzz);
    EditGenerateGap = gen.left - buzz.right;
    
    return TRUE;  // return TRUE  unless you set the focus to a control
   }

/****************************************************************************
*                         CResizingDlg::OnSysCommand
* Inputs:
*       UINT nID:
*       LPARAM lParam:
* Result: void
*       
* Effect: 
*       Handles commands from the system menu
****************************************************************************/

void CResizingDlg::OnSysCommand(UINT nID, LPARAM lParam)
   {
    if ((nID & 0xFFF0) == IDM_ABOUTBOX)
       {
        CAboutDlg dlgAbout;
        dlgAbout.DoModal();
       }
    else
       {
        CDialog::OnSysCommand(nID, lParam);
       }
   }

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CResizingDlg::OnPaint() 
{
        if (IsIconic())
        {
                CPaintDC dc(this); // device context for painting

                SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

                // Center icon in client rectangle
                int cxIcon = GetSystemMetrics(SM_CXICON);
                int cyIcon = GetSystemMetrics(SM_CYICON);
                CRect rect;
                GetClientRect(&rect);
                int x = (rect.Width() - cxIcon + 1) / 2;
                int y = (rect.Height() - cyIcon + 1) / 2;

                // Draw the icon
                dc.DrawIcon(x, y, m_hIcon);
        }
        else
        {
                CDialog::OnPaint();
        }
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.

HCURSOR CResizingDlg::OnQueryDragIcon()
{
        return static_cast<HCURSOR>(m_hIcon);
}

/****************************************************************************
*                             CResizingDlg::OnOK
* Result: void
*       
* Effect: 
*       Nothing.  This avoids having the dialog close on <Enter>
****************************************************************************/

void CResizingDlg::OnOK()
    {
    }

/****************************************************************************
*                           CResizingDlg::OnCancel
* Result: void
*       
* Effect: 
*       Nothing.  This prevents having the application close on <Esc>
****************************************************************************/

void CResizingDlg::OnCancel()
    {
    }

/****************************************************************************
*                            CResizingDlg::OnClose
* Result: void
*       
* Effect: 
*       Causes the dialog to close
****************************************************************************/

void CResizingDlg::OnClose()
    {
     CDialog::OnOK();
    }

/****************************************************************************
*                        CResizingDlg::OnGetMinMaxInfo
* Inputs:
*       MINMAXINFO * lpMMI
* Result: void
*       
* Effect: 
*       Sets the limits for resizing
****************************************************************************/

void CResizingDlg::OnGetMinMaxInfo(MINMAXINFO* lpMMI)
    {
     if(c_Frame.GetSafeHwnd() != NULL)
        { /* limit size? */
         if(c_Limit.GetCheck() == BST_CHECKED)
            { /* limit size */
             CRect r;
             c_Frame.GetWindowRect(&r);
             ScreenToClient(&r);
             CalcWindowRect(&r);
             lpMMI->ptMinTrackSize.x = r.Width(); 
             lpMMI->ptMinTrackSize.y = r.Height();
            } /* limit size */
        } /* limit size? */

     CDialog::OnGetMinMaxInfo(lpMMI);
    }

/****************************************************************************
*                            CResizingDlg::OnSize
* Inputs:
*       UINT nType:
*       int cx:
*       int cy:
* Result: void
*       
* Effect: 
*       Handles the resizing of controls
****************************************************************************/

void CResizingDlg::OnSize(UINT nType, int cx, int cy)
    {
     CDialog::OnSize(nType, cx, cy);

     // This code resizes the listbox so it always fills the bottom of the window
     if(c_ControlsFollowResize.GetSafeHwnd() != NULL && c_ControlsFollowResize.GetCheck() == BST_CHECKED)
        { /* controls follow */
         // Resize the listbox to fit
         if(c_Log.GetSafeHwnd() != NULL)
            { /* resize listbox */
             CRect r;
             c_Log.GetWindowRect(&r);
             ScreenToClient(&r);
             c_Log.SetWindowPos(NULL,             // no Z-order change
                                0, 0,             // no position change
                                cx, cy - r.top,   // new width, height
                                SWP_NOMOVE | SWP_NOZORDER);
            } /* resize listbox */

         // Resize the input control
         if(c_Input.GetSafeHwnd() != NULL)
            { /* resize input */
             CRect r;
             c_Input.GetWindowRect(&r);
             ScreenToClient(&r);
             c_Input.SetWindowPos(NULL,          // no Z-order change
                                  0, 0,          // do not move
                                  cx - r.left,   // new width
                                  r.Height(),    // same height
                                  SWP_NOMOVE | SWP_NOZORDER);
            } /* resize input */

         // Move the Generate/Generated controls around
         // +--------------------------------------------------------------------------+
         // |     +----------------------------------------------+   +-------------+   |
         // |     |  c_Buzz                                      |   | c_Generate  |   |
         // |     +----------------------------------------------+   +-------------+   |
         // +--------------------------------------------------------------------------+
         //                                                      |<->|             |<->|
         //                                            EditGenerateGap             GenerateRightGap

         if(c_Buzz.GetSafeHwnd() != NULL && c_Generate.GetSafeHwnd() != NULL)
            { /* co-move */
             CRect buzz;
             c_Buzz.GetWindowRect(&buzz);
             ScreenToClient(&buzz);

             CRect gen;
             c_Generate.GetWindowRect(&gen);
             ScreenToClient(&gen);
             
             c_Buzz.SetWindowPos(NULL,
                                 0, 0,   // no position change
                                 cx - (GenerateRightGap + gen.Width() + EditGenerateGap) - buzz.left,
                                 buzz.Height(),
                                 SWP_NOMOVE | SWP_NOZORDER);

             c_Generate.SetWindowPos(NULL,
                                     cx - GenerateRightGap - gen.Width(),   // left edge of generate
                                     gen.top,
                                     0, 0, // no size change
                                     SWP_NOSIZE | SWP_NOZORDER);

             TRACE("|    +----------------------+  +------------+    |\n");
             TRACE("|    |  c_Buzz              |  | c_Generate |    |\n");
             TRACE("|    +----------------------+  +------------+    |\n");
             //     |    XXXX                XXXX  XXXX      XXXX    |
             //     |XXXX                        XXX             XXXX|
             TRACE("|    %-4d                %4d  %-4d      %4d    |\n", buzz.left, buzz.right, gen.left, gen.right);
             TRACE("|%4d                        %-3d             %4d|\n", buzz.left, EditGenerateGap, GenerateRightGap);

            } /* co-move */

         if(c_Transfer.GetSafeHwnd() != NULL)
            { /* center transfer button */
             CRect r;
             c_Transfer.GetWindowRect(&r);
             ScreenToClient(&r);
             c_Transfer.SetWindowPos(NULL,
                                     cx / 2 - r.Width() / 2,
                                     r.top,
                                     0, 0,
                                     SWP_NOZORDER | SWP_NOSIZE);
            } /* center transfer button */
        } /* controls follow */
    }

/****************************************************************************
*                        CResizingDlg::OnEnChangeInput
* Result: void
*       
* Effect: 
*       Recognizes changes in the control contents
****************************************************************************/

void CResizingDlg::OnEnChangeInput()
    {
     updateControls();
    }

/****************************************************************************
*                        CResizingDlg::updateControls
* Result: void
*       
* Effect: 
*       Updates the controls
****************************************************************************/

void CResizingDlg::updateControls()
    {
     CString s;
     c_Input.GetWindowText(s);
     s.Trim();
     c_Add.EnableWindow(!s.IsEmpty());

     int n = c_Log.GetCount();
     c_Clear.EnableWindow(n > 0);

     c_Frame.ShowWindow(c_ShowFrame.GetCheck() == BST_CHECKED ? SW_SHOW : SW_HIDE);
     
    } // CResizingDlg::updateControls

/****************************************************************************
*                     CResizingDlg::OnBnClickedShowResize
* Result: void
*       
* Effect: 
*       Updates the controls to show the resize limit box
****************************************************************************/

void CResizingDlg::OnBnClickedShowResize()
    {
     updateControls();
    }

/****************************************************************************
*                      CResizingDlg::OnBnClickedGenerate
* Result: void
*       
* Effect: 
*       Generates a nonsense phrase
****************************************************************************/

void CResizingDlg::OnBnClickedGenerate()
    {
     CString s;
     buzzphrase(s);
     c_Buzz.SetWindowText(s);
    }

/****************************************************************************
*                      CResizingDlg::OnBnClickedTransfer
* Result: void
*       
* Effect: 
*       Transfers the generated text to the Add box
****************************************************************************/

void CResizingDlg::OnBnClickedTransfer()
    {
     CString s;
     c_Buzz.GetWindowText(s);
     c_Input.SetWindowText(s);
    }

/****************************************************************************
*                             CResizingDlg::OnAdd
* Result: void
*       
* Effect: 
*       Adds the element to the listbox
****************************************************************************/

void CResizingDlg::OnBnClickedAdd()
    {
     CString s;
     c_Input.GetWindowText(s);
     c_Log.AddString(s);
     c_Input.SetWindowText(_T(""));
    }

/****************************************************************************
*                         CResizingDlg::OnBnClicked10
* Result: void
*       
* Effect: 
*       Adds 10 items to the list
****************************************************************************/

void CResizingDlg::OnBnClicked10()
    {
     for(int i = 0; i < 10; i++)
        { /* add elements */
         CString s;
         buzzphrase(s);
         c_Log.AddString(s);
        } /* add elements */
     updateControls();
    }

/****************************************************************************
*                       CResizingDlg::OnBnClickedClear
* Result: void
*       
* Effect: 
*       Clears the log window
****************************************************************************/

void CResizingDlg::OnBnClickedClear()
    {
     c_Log.ResetContent();
     updateControls();
    }
